Page MenuHomePhabricator

Deploy the Commons deletion notification bot on nl.wiktionary [[SMALL]]
Closed, ResolvedPublic

Description

As a Commons & Wiktionary user, I want the Deletion Notification Bot deployed to nl.wiktionary, so that relevant users can be notified if their uploaded files are marked for deletion.

Background: This ticket is for deploying the Commons deletion bot to work on nl.wiktionary (WikiWoordenboek). The proposal was made at the local Village Pump and during a 4 week period got support and no objections. The translations have been made.

Notes:

  1. Use edit tag Commons discussie
  2. Use without bot flag
  3. Don't mark edits as minor

Remark:
Maybe it's an idea to update this instruction.

Acceptance Criteria:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 27 2020, 9:40 AM

Removing Wiktionary per https://phabricator.wikimedia.org/project/profile/1115/ as this seems to be about Dutch Wiktionary only

It is great to see that the final suggestion to update the instruction on the project page has had the desired result. I'm also grateful to @Aklapper for removing an inapplicable label. Which leaves us with the main question. We have tried to follow all instructions in good faith, is there still something we did wrong? Should I have pinged @MaxSem directly too?

MaxSem edited subscribers, added: ifried, aezell; removed: MaxSem.Jul 3 2020, 6:23 PM

Nope, I don't work for WMF anymore. Ping @ifried and @aezell for prioritization.

@MarcoSwart Thanks for letting us know about this. We'll discuss it as a team.

ifried updated the task description. (Show Details)Jul 9 2020, 8:47 PM
ifried updated the task description. (Show Details)Jul 16 2020, 5:52 PM
ARamirez_WMF renamed this task from Deploy the Commons deletion notification bot on nl.wiktionary to Deploy the Commons deletion notification bot on nl.wiktionary [[SMALL]].Jul 16 2020, 5:54 PM
ARamirez_WMF moved this task from To Be Estimated/Discussed to Estimated on the Community-Tech board.
AlexisJazz added a subscriber: AlexisJazz.

@MusikAnimal : It is now nearly two months since you moved this task to "Needs Review/Feedback". Nothing seems to happen. What's wrong?

@MusikAnimal : It is now nearly two months since you moved this task to "Needs Review/Feedback". Nothing seems to happen. What's wrong?

Hi Marco! Let me first apologize for the long wait. We have been exhausted with higher priority work over the past few months. The bigger issue here is the developer who wrote the bot is no longer on our team, and the rest of us aren't very familiar with the codebase or Python. That said, I have finally merged the change, and it should in theory be running on nl.wiktionary. However this bot task hasn't ran at all (on any wiki) for about a week. This seems to be historically true, where it will run for several days in a row then sleep for a week or so. I haven't quite figured out the logic yet, or if that's just circumstance. So, I guess bear with us while we try to figure this out. We'll be keeping an eye on https://nl.wiktionary.org/wiki/Speciaal:Bijdragen/Community_Tech_bot

It turns out the job on Toolforge was stuck. I restarted it and the bot is now editing other wikis. By all indications it should be running on nl.wiktionary too, only it hasn't encountered a file used on nl.wiktionary yet. I'll continue to monitor.

Thx! In my experience the (proposed) removals on commons of pictures used on WikiWoordenboek are about 20 per year in an unpredictable pattern. In fact, that is a major reason why this bot would be really useful for us. I will let you know if I spot any removal that the bot misses in the future.

@MusikAnimal : It is now nearly two months since you moved this task to "Needs Review/Feedback". Nothing seems to happen. What's wrong?

Hi Marco! Let me first apologize for the long wait. We have been exhausted with higher priority work over the past few months. The bigger issue here is the developer who wrote the bot is no longer on our team, and the rest of us aren't very familiar with the codebase or Python. That said, I have finally merged the change, and it should in theory be running on nl.wiktionary. However this bot task hasn't ran at all (on any wiki) for about a week. This seems to be historically true, where it will run for several days in a row then sleep for a week or so. I haven't quite figured out the logic yet, or if that's just circumstance. So, I guess bear with us while we try to figure this out. We'll be keeping an eye on https://nl.wiktionary.org/wiki/Speciaal:Bijdragen/Community_Tech_bot

Maybe it runs out of memory. (and it restarts either after the server restarts, the job is restarted or some other process dies, freeing up some memory)

Kizule added a subscriber: Kizule.Sep 19 2020, 5:40 PM

@MusikAnimal Happy to inform you that the bot today made its first edit. Everything worked as expected, and I could simply replace the picture before it probably will get removed.

MusikAnimal closed this task as Resolved.Sep 24 2020, 4:06 PM

@MusikAnimal Happy to inform you that the bot today made its first edit. Everything worked as expected, and I could simply replace the picture before it probably will get removed.

Wonderful! I was just about to resort to uploading a test image, putting it on nk.wiktionary and nominating it for deletion. That would have been a bit disruptive, so I'm glad we didn't have to do that :)

This also means our team now knows how to correctly add new wikis with confidence, so moving forward there won't be as long of a wait. Thanks for the help, everyone!

As there's nothing to QA here, I'm going to close this as resolved.